import { Mixin } from 'ts-mixer';
import ItemFactory from '@react-microdata/item-factory';
import { ThingFactory } from '@react-microdata/thing';
class BioChemEntity extends Mixin(ThingFactory, ItemFactory) {
    funding({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "funding", itemScope });
    }
    ;
    isEncodedByBioChemEntity({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "isEncodedByBioChemEntity", itemScope });
    }
    ;
    isPartOfBioChemEntity({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "isPartOfBioChemEntity", itemScope });
    }
    ;
    taxonomicRange({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "taxonomicRange", itemScope });
    }
    ;
    isInvolvedInBiologicalProcess({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "isInvolvedInBiologicalProcess", itemScope });
    }
    ;
    isLocatedInSubcellularLocation({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "isLocatedInSubcellularLocation", itemScope });
    }
    ;
    associatedDisease({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "associatedDisease", itemScope });
    }
    ;
    hasMolecularFunction({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "hasMolecularFunction", itemScope });
    }
    ;
    hasBioChemEntityPart({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "hasBioChemEntityPart", itemScope });
    }
    ;
    bioChemInteraction({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "bioChemInteraction", itemScope });
    }
    ;
    hasRepresentation({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "hasRepresentation", itemScope });
    }
    ;
    bioChemSimilarity({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "bioChemSimilarity", itemScope });
    }
    ;
    biologicalRole({ itemScope }) {
        return this.makeItemPropComponent({ itemProp: "biologicalRole", itemScope });
    }
    ;
}
const BioChemEntityFactory = new BioChemEntity();
export { BioChemEntityFactory };
export default BioChemEntity;
//# sourceMappingURL=BioChemEntityFactory.js.map